﻿evml_systemInit()
function evml_systemInit(){
	window.isIE=navigator.appName.indexOf("Microsoft")==0
	window.Evml={}
	window.Arg={}
	Evml.colors={white:"#ffffff",black:"#000000",red:"#ff0000",yellow:"#ffff00",green:"#00ff00",blue:"#0000ff",orange:"#ffa500",brown:"#a52a2a"}
	Evml.isLocal=location.href.indexOf("file:")==0
	Evml.isDTD=1
	
	String.prototype.trim=function(){
		return this.replace(/(^[\s]*)|([\s]*$)/g,"")
	}
	String.prototype.inc=function(str,sSplit){
		sSplit=sSplit||","
		return (sSplit+this.toLowerCase()+sSplit).indexOf(sSplit+str.toLowerCase()+sSplit)>-1?1:0
	}
	String.prototype.getCssArg=function(str,sDef){
		var a=this.match(new RegExp("(^|;)"+str+":[^;]*"))
		return a==null||str==""?(sDef||""):a[0].replace(";","").slice(str.length+1)
	}
	String.prototype.getUrlArg=function(str,sDef){
		var a=this.match(new RegExp("(^|&|\\?)"+str+"=[^&]*"))
		return a==null||str==""?(sDef||""):a[0].slice(str.length+2)
	}
	Array.prototype.parseInt=function(){
		var i,count=this.length
		for(i=0;i<count;i++){
			this[i]=Math.floor(this[i])
		}
	}
	Array.prototype.deleteItem=function(item){
		var i,count=this.length
		for(i=0;i<count;i++){
			if(this[i]==item){
				this.splice(i,1)
				i--
				count--
			}
		}
	}
	Array.prototype.addItem=function(item){
		for(var i=0;i<this.length;i++){
			if(this[i]==item)
				return
		}
		this.push(item)
	}
	Function.prototype.bindNode=function(oNode){
	    var foo=this,iNodeIndex,fnTemp
	    if(foo.__nodeIndex==null){
		    if(Evml.bindNodes==null)
		        Evml.bindNodes=[]
		    Evml.bindNodes.push(oNode)
		    foo.__nodeIndex=Evml.bindNodes.length-1
		}
	    fnTemp=function(e){
	        foo.call(Evml.bindNodes[foo.__nodeIndex],e||window.event)
	    }
	    fnTemp.__nodeIndex=foo.__nodeIndex
	    oNode=null
	    return fnTemp
	}
	
	if(isIE){
		document.documentElement.addBehavior("#default#userdata")
		document.execCommand("BackgroundImageCache",false,true)
	}
	else{
		HTMLElement.prototype.attachEvent=function(sType,foo){
			this.addEventListener(sType.slice(2),foo,false)
		}
	    HTMLElement.prototype.contains=function(oNode){
	    	if(!oNode)
	    		return false
	    	do if(oNode==this){
	    		return true
	    	}
	    	while(oNode=oNode.parentNode){
	    		return false
	    	}
	    }
		HTMLElement.prototype.__defineGetter__("outerHTML",function(){
			var ol=this.attributes,sl="<"+this.tagName,i
			for(i=0;i< ol.length;i++){
				if(ol[i].specified)
					sl+=" "+ol[i].name+'="'+ol[i].value+'"'
			}
			return !this.canHaveChildren?sl+">":sl+">"+this.innerHTML+"</"+this.tagName+">"
		})
		HTMLElement.prototype.__defineSetter__("outerHTML",function(str){
			var oRange=this.ownerDocument.createRange()
			oRange.setStartBefore(this)
			this.parentNode.replaceChild(oRange.createContextualFragment(str),this)
		})
		HTMLElement.prototype.__defineGetter__("innerText",function(){
			var oRange=this.ownerDocument.createRange()
			oRange.selectNodeContents(this)
			return oRange.toString()
		})
		HTMLElement.prototype.__defineSetter__("innerText",function(str){
			this.innerHTML=str.replace(/\&/g,"&amp;").replace(/\</g,"&lt;").replace(/\>/g,"&gt;").replace(/(|\r)\n/g,"<br>").replace(/  /g,"&nbsp;&nbsp;")
		})
		Event.prototype.__defineGetter__("srcElement",function(){
			var node=this.target
			if(this.type=="resize")
				return
			while(node.nodeType!=1){
				node=node.parentNode
			}
			return node
		})
		Event.prototype.__defineGetter__("fromElement",function(){
			return this.relatedTarget
		})
		Event.prototype.__defineGetter__("toElement",function(){
			return this.relatedTarget
		})
		Event.prototype.__defineGetter__("offsetX",function(){
			return this.layerX
		})
		Event.prototype.__defineGetter__("offsetY",function(){
			return this.layerY
		})
	}
	var fnOnload,ol,oJs,sVer
	ol=document.getElementsByTagName("script")
	oJs=ol[ol.length-1]
	Evml.folder0=oJs.getAttribute("folder0")||"images/"
	Evml.folder=oJs.getAttribute("folder")||"images/"
	Evml.minWidth=oJs.getAttribute("minWidth")||480
	Evml.minHeight=oJs.getAttribute("minHeight")||320
	Evml.cacheScene=isTrue(oJs.getAttribute("cacheScene"))
	Evml.ver=""
	if(oJs.getAttribute("ver")!=null)
		sVer=loadData(oJs.getAttribute("ver")+"?r="+parseInt(new Date().valueOf()/10000),0)
	Evml.ver=sVer==null?"":"?ver="+sVer
	if(document.body==null){
		document.write("<body></body>")
		addCssRule("body","visibility:hidden")
	}
	if(!isTrue(oJs.getAttribute("isEmbed"))){
		addCssRule("xmp","display:none")
		addCssRule("body,table,label,input,button,textarea,select","font-size:12px")
		addCssRule("html,body","overflow:hidden;width:100%;height:100%;margin:0;cursor:default")
	}
	oJs=null
	if(isIE&&document.body.offsetWidth==document.documentElement.offsetWidth)
		Evml.isDTD=0
	if(isIE)
		window.attachEvent("onresize",evml_onBodyEvent)
	else
		window.addEventListener("resize",evml_onBodyEvent,false)
	document.body.attachEvent("onmousedown",evml_onBodyEvent)
	document.body.attachEvent("onmouseup",evml_onBodyEvent)
	document.body.attachEvent("onmousemove",evml_onBodyEvent)
	document.body.attachEvent("onkeydown",evml_onBodyEvent)
	document.onselectstart=document.onmousedown=document.oncontextmenu=function(e){
		var oNode
		e=e||event
		if("INPUT,TEXTAREA,BODY,HTML".inc(e.srcElement.tagName))
			return
		oNode=e.srcElement
		while(oNode!=document.body){
			if(oNode.style.position=="absolute")
				return false
			oNode=oNode.parentNode
		}
	}
	fnOnload=function(){
		if(isIE&&document.readyState!="complete")
			return
		window.setTimeout(function(){
			if(!Evml.cacheScene){
				evml_initNode()
				document.body.style.visibility="visible"
			}
			if(window.evml_onload!=null)
				evml_onload()
		},10)
	}
	thread_init()
	if(document.readyState=="complete")
		fnOnload()
	else if(isIE)
		document.onreadystatechange=fnOnload
	else
		document.addEventListener("DOMContentLoaded",fnOnload,false)
	
}
function evml_onBodyEvent(e){
	var ee,ol,i
	e=e||event
	ee=e.srcElement
	if(e.type=="resize"){
		window.clearTimeout(Evml.tmBodyResize)
		Evml.tmBodyResize=window.setTimeout(function(){
			ol=document.body.childNodes
			for(i=0;i<ol.length;i++){
				if(ol[i].tagName==null)
					continue
				if(ol[i].getAttribute("pos")!=null)
					evml_resizeNode(ol[i],null,1)
			}
		},100)
	}
	if(e.type=="mousedown"){
		Evml.activeElement="INPUT,TEXTAREA".inc(ee.tagName)?ee:null
		Evml.editObj=null
		if(Evml.cancelBubble!=1)
			clearPop()
	}
	if(e.type=="mouseup"){
		Evml.cancelBubble=null
		if(Evml.dragObj==null)
			return
		if(isIE){
			Evml.dragObj.releaseCapture()
			if(Evml.dragObj.getAttribute("drag")=="edit")
				window.clipboardData.setData("text",Evml.dragObj.offsetLeft+","+Evml.dragObj.offsetTop)
		}
		execFoo(Evml.dragObj.getAttribute("ondraged"))
		Evml.dragObj=null
	}
	if(e.type=="mousemove"){
		var p={}
		if(Evml.dragObj==null)
			return
		e=e||event
		p.x=Evml.dragSx+e.clientX
		p.y=Evml.dragSy+e.clientY
		if(isTrue(Evml.dragObj0.getAttribute("dragAsDlg"))){
			p.x=Math.max(Math.min(p.x,document.body.scrollLeft+document.body.clientWidth-Evml.dragObj.offsetWidth),document.body.scrollLeft)
			p.y=Math.max(Math.min(p.y,document.body.scrollTop+document.body.clientHeight-25),document.body.scrollTop)
		}
		eval(Evml.dragObj0.getAttribute("ondraging"))
		Evml.dragObj.pos=p.x+","+p.y
	}
	if(e.type=="keydown"&&Evml.editObj!=null){
		if(e.keyCode==38||e.keyCode==40)
			Evml.editObj.pos=","+(Evml.editObj.offsetTop+(e.keyCode==38?-1:1))
		if(e.keyCode==37||e.keyCode==39)
			Evml.editObj.pos=(Evml.editObj.offsetLeft+(e.keyCode==37?-1:1))
		clipboardData.setData("text",Evml.editObj.offsetLeft+","+Evml.editObj.offsetTop)
	}
}
function $(oNode){
	return typeof(oNode)!="string"?oNode:document.getElementById(oNode)
}
function $parent(oNode){
	oNode=$(oNode)
	while(oNode.parentNode!=document.body&&(oNode.id==""||oNode.id.indexOf(".")==0)){
		oNode=oNode.parentNode
	}
	return oNode
}
function $pos(obj){
	var o,x=0,y=0
	if(obj.tagName==null)
		return {x:obj.x,y:obj.y}
	do{
		o=o==null?$(obj):o.parentNode
		x+=o.offsetLeft
		y+=o.offsetTop-o.scrollTop
	}while(document.body.contains(o))
	return {x:x,y:y}
}
function $c(str){
	var i,a=Evml.colors
	if((str||"#")=="#")
		return ""
	str=str.slice(1)
	for(i in a){
		if(i==str){
			str=a[i].slice(1)
			break
		}
	}
	if(!/^[\dabcdef]{6}$/i.test(str))
		return ""
	return "#"+str
}
function isTrue(str){
	return str=="true"||str==1
}
function setUserData(sKey,sVal){
	if(document.all){
		document.documentElement.setAttribute(sKey,sVal)
		document.documentElement.save("evml")
	}
	else
		document.cookie=sKey+"="+escape(sVal||"")+";expires="+(new Date("2099-1-1")).toGMTString()
}
function getUserData(sKey){
	if(document.all){
		document.documentElement.load("evml")
		return document.documentElement.getAttribute(sKey)||""
	}
	else
		return unescape((document.cookie.match(new RegExp(sKey+"=([^\\;]+)"))||["",""])[1])
}
function encode(str){
	return str.replace(/(\%|\'|\"|\n|\r|\\|\&|\,|\;|\||\<|\>)/g,function($0){return escape($0)})
}
function decode(str){
	return unescape(str)
}
function thread_init(){
	window.Thread={foos:[]}
	Thread.push=function(foo,iInterval){
		Thread.remove(foo)
		foo.__interval=iInterval||1
		foo.__start=foo.__start2=new Date().valueOf()
		foo.__time=0
		Thread.foos.push(foo)
		foo()
	}
	Thread.remove=function(foo){
		var ol=Thread.foos,count=ol.length,i
		for(i=0;i<count;i++){
			if(ol[i]==foo||ol[i].__nodeIndex==foo.__nodeIndex&&foo.__nodeIndex!=null){
				ol.splice(i,1)
				i--
				count--
			}
		}
	}
	Thread.ontime=function(){
		var i,ol=Thread.foos
		if(Thread.locked==1)
			return
		Thread.locked=1
		for(i=0;i<ol.length;i++){
			ol[i].__time=new Date().valueOf()-ol[i].__start
			if(new Date().valueOf()-ol[i].__start2>ol[i].__interval){
				ol[i].__start2=new Date().valueOf()
				ol[i]()
			}
		}
		Thread.locked=0
	}
	window.setInterval(Thread.ontime,10)
}
function loadImage(obj,foo){
	var s,a,i,aImg=[],o,ol,fnLoading,sl
	if(Evml.oLoadImg==null)
		Evml.oLoadImg={preloadList:{}}
	if(Evml.isLocal&&foo!=null)
		return foo(1,1)
	if(obj.tagName!=null){
		a=obj.innerHTML.replace(/\<(script|xmp)((.|\n)*?)\<\/(script|xmp)\>/gi,"").match(/[\w\d\/\*\_]+\.(gif|jpg|png)/gi)
		for(i=0;i<a.length;i++){
			aImg.push(a[i])
		}
	}
	else
		aImg=obj
	sl=","
	for(i=0;i<aImg.length;i++){
		if(sl.inc(aImg[i]))
			continue
		sl+=aImg[i]+","
		if(aImg[i].indexOf("*")>-1){
			aImg.splice(i+1,0,aImg[i].replace("*","c"),aImg[i].replace("*","r"))
			aImg[i]=aImg[i].replace("*","l")
			i+=2
		}
	}
	if(aImg.length==0)
		return
	Evml.oLoadImg.loadedList=Evml.oLoadImg.loadedList||","
	if(foo==null){
		for(i=0;i<aImg.length;i++){
			Evml.oLoadImg.preloadList[aImg[i]]=new Image()
			Evml.oLoadImg.preloadList[aImg[i]].src=(aImg[i].indexOf("#")==0?Evml.folder0+aImg[i].slice(1):(/^http/i.test(aImg[i])?"":Evml.folder)+aImg[i])+Evml.ver
			Evml.oLoadImg.preloadList[aImg[i]].onerror=function(){this.isLoaded=1}
		}
		return
	}
	Evml.oLoadImg.loaded=0
	Evml.oLoadImg.item=[]
	for(i=0;i<aImg.length;i++){
		if(Evml.oLoadImg.loadedList.inc(aImg[i])){
			aImg.splice(i,1)
			i--
			continue
		}
		if(Evml.oLoadImg.preloadList[aImg[i]]==null){
			Evml.oLoadImg.item[i]=new Image()
			Evml.oLoadImg.item[i].src=(aImg[i].indexOf("#")==0?Evml.folder0+aImg[i].slice(1):(/^http/i.test(aImg[i])?"":Evml.folder)+aImg[i])+Evml.ver
			Evml.oLoadImg.item[i].onerror=function(){this.isLoaded=1}
		}
		else
			Evml.oLoadImg.item[i]=Evml.oLoadImg.preloadList[aImg[i]]
		Evml.oLoadImg.item[i].bg=aImg[i]
	}
	Evml.oLoadImg.count=aImg.length
	if(Evml.oLoadImg.count==0){
		foo(1,1)
		return
	}
	foo(Evml.oLoadImg.count,0)
	fnLoading=function(){
		var n=0,ol=Evml.oLoadImg.item,i
		for(i=0;i<ol.length;i++){
			if(ol[i].isLoaded==1||ol[i].complete==1){
				n++
				if(!Evml.oLoadImg.loadedList.inc(ol[i].bg))
					Evml.oLoadImg.loadedList+=ol[i].bg+","
			}
		}
		if(Evml.oLoadImg.loaded!=n){
			Evml.oLoadImg.loaded=n
			foo(Evml.oLoadImg.count,n)
		}
		if(Evml.oLoadImg.loaded==Evml.oLoadImg.count)
			Thread.remove(fnLoading)
		if(fnLoading.__time>60000){
			Thread.remove(fnLoading)
			foo(Evml.oLoadImg.count,Evml.oLoadImg.count)
		}
	}
	Thread.push(fnLoading,100)
}
function importJs(sUrl,foo){
	var a,i,oJs=[],iCount,iLoaded=0
	a=sUrl.split(",")
	iCount=a.length
	for(i=0;i<a.length;i++){
		oJs[i]=document.createElement("script")
		oJs[i].src=a[i]+Evml.ver
		oJs[i].onload=function(){
			if(isIE&&this.readyState!="complete"&&this.readyState!="loaded")
				return
			iLoaded++
			if(iLoaded==iCount)
				foo()
		}
		document.body.appendChild(oJs[i])
		if(oJs[i].readyState!=null)
			oJs[i].onreadystatechange=oJs[i].onload
		if(oJs[i].readyState=="complete"||oJs[i].readyState=="loaded")
			oJs[i].onload()
		oJs[i]=null
	}
}
function attachProperty(oNode,sAttr,foo){
    if(document.all){
    	if(oNode.__attachAttrs==null){
    		oNode.__attachAttrs=","
	        oNode.attachEvent("onpropertychange",function(){
	        	var oNode=event.srcElement
	            if(oNode.__attachAttrs.indexOf(","+event.propertyName+",")>-1&&oNode.ignoreSet!=1)
	                foo(oNode,event.propertyName,oNode[event.propertyName])
	        })
        }
    	oNode.__attachAttrs+=sAttr+","
    }
    else{
        oNode.__defineSetter__(sAttr,function(sVal){
        	this["__"+sAttr]=sVal
        	if(this.ignoreSet!=1)
	           foo(this,sAttr,sVal)
        })
        oNode.__defineGetter__(sAttr,function(){
            return this["__"+sAttr]
        })
    }
    oNode=null
}
function deleteNode(oNode){
	if($(oNode)!=null)
		$(oNode).outerHTML=""
}
function focuNode(oNode){
	setTimeout(function(){try{$(oNode).focus()}catch(e){}},10)
}
function addCssRule(sRange,sDefine){
	var o,a,i
	if(document.all){
		a=sRange.split(",")
		for(i=0;i<a.length;i++){
			document.createStyleSheet().addRule(a[i],sDefine)
		}
	}
	else{
		o=document.createElement("style")
		o.innerHTML=sRange+"{"+sDefine+"}"
		document.getElementsByTagName("head").item(0).appendChild(o)
	}
}
function execFoo(foo){
	if(typeof(foo)=="function")
		return foo()
	else if(typeof(foo)=="string")
		return eval(foo)
}
function getAlphaImage(sUrl,isWidth1){
	if(isIE&&/\.png/i.test(sUrl))
		return "<div style='width:100%;height:100%;font-size:0;filter:progid:dximagetransform.microsoft.alphaimageloader(src="+sUrl+",sizingMethod=scale)'></div>"
	else
		return "<img src='"+sUrl+"' width='"+(isWidth1?1:"100%")+"' height='100%'>"
}
function getAlphaBg(sUrl){
	return isIE&&/\.png/i.test(sUrl)?"filter:progid:dximagetransform.microsoft.alphaimageloader(src="+sUrl+",sizingMethod=scale)":"background:url("+sUrl+")"
}
function createEvml(str,op,oRefer){
	var bx=document.createElement("div")
	bx.style.height="100%"
	op=$(op||document.body)
	op.insertBefore(bx,oRefer==null?null:oRefer)
	if(!/(pos|bg|bd|pd|color)=/.test(str)){
		bx.outerHTML=str
		return
	}
	bx.innerHTML=str
	evml_initNode(bx)
	while(bx.childNodes.length>0){
		op.insertBefore(bx.childNodes[0],bx)
	}
	deleteNode(bx)
	if(document.body.style.visibility=="hidden")
		document.body.style.visibility=""
}
function showPop(oNode){
	oNode=$(oNode)
	if(Evml.popObj==oNode)
		return clearPop()
	clearPop()
	if(isIE)
		oNode.onselectstart=function(){return false}
	oNode.style.zIndex=9999
	oNode.style.visibility="visible"
	oNode.attachEvent("onmousedown",function(){
		Evml.cancelBubble=1
		window.setTimeout(function(){Evml.cancelBubble=0},30)
	})
	Evml.popObj=oNode
	Evml.cancelBubble=1
	oNode=null
}
function clearPop(){
	if(Evml.popObj!=null){
		Evml.popObj.style.visibility="hidden"
		Evml.popObj=null
	}
}
function setNodePos(oNode,x,y,w,h){
	var sVisible
	oNode=$(oNode)
	sVisible=oNode.style.visibility
	if(x!=null&&oNode.style.left!=x+"px")
		oNode.style.left=x+"px"
	if(y!=null&&oNode.style.top!=y+"px")
		oNode.style.top=y+"px"
	if((w||0)!=0&&oNode.style.width!=w+"px")
		oNode.style.width=w+"px"
	if((h||0)!=0&&oNode.style.height!=h+"px"){
		if(isIE&&Evml.isDTD&&/height\:/i.test(oNode.style.cssText))
			oNode.style.cssText=oNode.style.cssText.replace(/height\:(| )\d+px/i,"height:"+h+"px")
		else
			oNode.style.height=h+"px"
	}
	if(oNode.style.visibility!=sVisible)
		oNode.style.visibility=sVisible
	oNode.ignoreSet=1
	oNode.x=oNode.offsetLeft
	oNode.y=oNode.offsetTop
	oNode.w=oNode.offsetWidth
	oNode.h=oNode.offsetHeight
	oNode.ignoreSet=null
}
function evml_initBody(){
	evml_initNode()
	document.body.style.visibility="visible"
}
function evml_initNode(op){
	var ol,o,a,i,j,sl,ap
	op=$(op||document.body)
	ol=[]
	a=isIE?op.all:op.getElementsByTagName("*")
	for(i=0;i<a.length;i++){
		ol.push(a[i])
	}
	for(i=0;i<ol.length;i++){
		o=ol[i]
		if(o.isInitEvmlNode==1)
			continue
		o.isInitEvmlNode=1
		if((o.id||"").indexOf(".")==0)
			o.id=$parent(o).id+o.id
		a="bd,pd,pos,x,y,w,h,bg,color,opacity".split(",")
		isRebuild=0
		for(j=0;j<a.length;j++){
			if(o.getAttribute(a[j])!=null)
				isRebuild=1
		}
		if(!isRebuild)
			continue
		for(j=0;j<a.length;j++){
			attachProperty(o,a[j],function(oNode,sAttr,sVal){
				eval("evml_set"+sAttr.slice(0,1).toUpperCase()+sAttr.slice(1)+"(oNode)")
			})
		}
		if((o.getAttribute("moveAble")==1||o.getAttribute("moveAble")=="true")&&isIE)
			createEvml("<font style=font-size:0>&#12288;</font>",o)
		if(o.getAttribute("bd")!=null)
			o.bd=o.getAttribute("bd")
		if(o.getAttribute("pd")!=null)
			o.pd=o.getAttribute("pd")
		ap=(o.getAttribute("pos")||"").split(",")
		if(o.getAttribute("x")!=null)
			ap[0]=o.getAttribute("x")
		if(o.getAttribute("y")!=null)
			ap[1]=o.getAttribute("y")
		if(o.getAttribute("w")!=null)
			ap[2]=o.getAttribute("w")
		if(o.getAttribute("h")!=null)
			ap[3]=o.getAttribute("h")
		if(ap.join(",")!="")
			o.pos=ap.join(",")
		if(o.getAttribute("bg")!=null)
			o.bg=o.getAttribute("bg")
		if(o.getAttribute("opacity")!=null)
			o.opacity=o.getAttribute("opacity")
		if(o.getAttribute("color")!=null)
			o.color=o.getAttribute("color")
		if(o.tagName=="BUTTON"&&o.getAttribute("bg")!=null)
			evml_setButton(o)
		if(o.getAttribute("autoStart")==1&&o.play!=null)
			o.play()
		evml_bindDrag(o)
		ol[i]=o=null
	}
}
function evml_bindDrag(oNode){
	var sDrag=oNode.getAttribute("drag")
	if(sDrag==null)
		return
	if(sDrag=="edit")
		oNode.opacity=50
	oNode.attachEvent("onmousedown",function(e){
		var oNode=this
		e=e||event
		if(isIE)
			window.focus()
		Evml.dragObj0=oNode
		oNode=sDrag=="parent"?oNode.parentNode:oNode
		if(execFoo(oNode.getAttribute("onbeforedrag"))==false)
			return
		Evml.dragObj=oNode
		Evml.dragSx=Evml.dragObj.offsetLeft-e.clientX
		Evml.dragSy=Evml.dragObj.offsetTop-e.clientY
		Evml.ondragend=oNode.getAttribute("ondragend")
		if(isIE)
			Evml.dragObj.setCapture()
		if(sDrag=="edit"){
			Evml.editObj=oNode
			e.cancelBubble=true
		}
	}.bindNode(oNode))
	oNode=null
}
function evml_setButton(oNode){
	var o,fnButtonEvent,oBind
	if(oNode.isInit==1)
		return
	if(Evml.togs==null)
		Evml.togs={}
	oNode.isInit=1
	oBind=$(oNode.getAttribute("bind"))
	oNode.style.whiteSpace="nowrap"
	oNode.style.border="none"
	oNode.style.lineHeight=(oNode.offsetHeight+2)+"px"
	oNode.oncontextmenu=function(){return false}
	if(isIE)
		oNode.hideFocus=true
	else{
		oNode.attachEvent("onfocus",function(e){
			e.srcElement.blur()
		})
	}
	fnButtonEvent=function(e){
		var ee,h=0,tog,etype,isTog,isTab
		e=e||event
		if(e.type=="mousedown"&&e.button==2)
			return
		etype=e.type
		ee=this
		if(ee.tagName!="BUTTON"&&ee.parentNode.tagName!="BUTTON")
			return
		tog=ee.getAttribute("tog")
		isTog=ee.getAttribute("isTog")
		isTab=ee.getAttribute("isTab")
		if(isTab&&etype=="mousedown")
			return
		if(isTab&&etype=="mouseup")
			etype="mousedown"
		
		if("mouseover,mouseup,mouseout".inc(etype)&&isTog==1)
			return
		if("mouseover,mouseup".inc(etype))
			h=-ee.offsetHeight
		if(etype=="mousedown")
			h=-2*ee.offsetHeight
		if(!isIE&&"mouseup,mousedown".inc(etype))
			ee.style.paddingLeft=((ee.getAttribute("pd")||ee.getAttribute("pd1"))*1+(etype=="mousedown"?1:0))+"px"
		if(etype=="mousedown"&&tog!=null){
			if(tog!="this"&&Evml.togs[tog]!=null){
				if(Evml.togs[tog]==ee&&ee.getAttribute("togSwitch")!=1)
					return
				Evml.togs[tog].setAttribute("isTog",0)
				Evml.togs[tog].style.backgroundPosition="0 0"
				Evml.togs[tog].style.zIndex=""
				if(Evml.togs[tog]==ee&&isTog==1&&ee.getAttribute("togSwitch")==1)
					return
			}
			if(isTog==1){
				ee.setAttribute("isTog",0)
				h=-ee.offsetHeight
				ee.style.zIndex=1
			}
			else
				ee.setAttribute("isTog",1)
			Evml.togs[tog]=ee
		}
		ee.style.backgroundPosition="0 "+h+"px"
	
	}
	if(oBind==null){
		oNode.attachEvent("onmouseover",fnButtonEvent.bindNode(oNode))
		oNode.attachEvent("onmouseout",fnButtonEvent.bindNode(oNode))
		oNode.attachEvent("onmousedown",fnButtonEvent.bindNode(oNode))
		oNode.attachEvent("onmouseup",fnButtonEvent.bindNode(oNode))
	}
	else{
		oBind.attachEvent("onmouseover",fnButtonEvent.bindNode(oNode))
		oBind.attachEvent("onmouseout",fnButtonEvent.bindNode(oNode))
		oBind.attachEvent("onmousedown",fnButtonEvent.bindNode(oNode))
		oBind.attachEvent("onmouseup",fnButtonEvent.bindNode(oNode))
		oBind=null
	}
	oNode.setTog=function(isTog){
		this.setAttribute("isTog",isTog==1?0:1)
		button_attachEvent({type:this.getAttribute("isTab")==1?"mouseup":"mousedown",srcElement:this})
	}
	if(oNode.getAttribute("tog")!=null&&oNode.getAttribute("isTog")==1)
		oNode.setTog(1)
	oNode=null
}

function evml_setPos(oNode){
	var sPos,op,w0,h0,w,h,w2,h2,ap0,ap,n
	sPos=oNode.pos+""
	if(sPos==null||sPos==""){
		oNode.style.position="relative"
		return
	}
	if(sPos.indexOf(",,")!=0&&oNode.style.position!="relative")
		oNode.style.position="absolute"
	op=oNode.parentNode
	w0=op.clientWidth
	h0=op.clientHeight
	if(op==document.body){
		w0=Math.max(w0,Evml.minWidth)
		h0=Math.max(h0,Evml.minHeight)
	}
	if(sPos.indexOf("*,*")==0){
		sPos=sPos.replace("*,*","12,12")
		oNode.setAttribute("drag","edit")
	}
	ap=sPos.split(",")
	if(oNode.__pos0!=null){
		ap0=oNode.__pos0.split(",")
		ap[0]=ap[0]||ap0[0]
		ap[1]=ap[1]||ap0[1]
		ap[2]=ap[2]||ap0[2]
		ap[3]=ap[3]||ap0[3]
		sPos=ap.join(",")
	}
	ap[1]=ap[1]||""
	ap[2]=ap[2]||""
	ap[3]=ap[3]||""
	if(isNaN(ap[2]))
		ap[2]=eval(ap[2].replace("f",w0))
	if(isNaN(ap[3]))
		ap[3]=eval(ap[3].replace("f",h0))
	w=ap[2]||oNode.offsetWidth
	h=ap[3]||oNode.offsetHeight
	ap[0]=eval(ap[0].replace("c",w0/2-w/2).replace("r",w0-w))||0
	ap[1]=eval(ap[1].replace("m",h0/2-h/2).replace("b",h0-h))||0
	ap.parseInt()
	if(Evml.isDTD&&!"BUTTON,IMG".inc(oNode.tagName)){
		w2=oNode.style.borderLeftWidth.slice(0,-2)*1+oNode.style.borderRightWidth.slice(0,-2)*1+oNode.style.paddingLeft.slice(0,-2)*1+oNode.style.paddingRight.slice(0,-2)*1
		h2=oNode.style.borderTopWidth.slice(0,-2)*1+oNode.style.borderBottomWidth.slice(0,-2)*1+oNode.style.paddingTop.slice(0,-2)*1+oNode.style.paddingBottom.slice(0,-2)*1
		if(ap[2]!=0)
			ap[2]=ap[2]-w2
		if(ap[3]!=0)
			ap[3]=ap[3]-h2
	}
	setNodePos(oNode,ap[0],ap[1],ap[2],ap[3])
	oNode.__pos0=sPos
	try{
		eval(oNode.getAttribute("onresizing"))
	}
	catch(e){}
}
function evml_resizeNode(oNode,oNode0,isForce){
	var o,ap=[0,0,0,0]
	if(oNode==null)
		return
	if(oNode.tagName!=null)
		ap=((oNode.pos||"0,0,0,0")+"").split(",")
	if(oNode!=(oNode0||"").parentNode&&ap[2]!=0)
		evml_setPos(oNode)
	if(oNode0==null){
		Evml.recursionRoot=oNode
		if((isNaN(ap[2])||isNaN(ap[3])||isForce==1)&&/pos=/.test(oNode.innerHTML))
			evml_resizeNode(oNode.firstChild,oNode)
	}
	else if(oNode!=Evml.recursionRoot){
		if(oNode!=oNode0.parentNode&&oNode.firstChild!=null)
			o=oNode.firstChild.tagName==null&&oNode.childNodes.length==1?null:oNode.firstChild
		if((!isNaN(ap[2])&&!isNaN(ap[3])&&oNode.pos!=null)||!/pos=/.test(oNode.innerHTML))
			o=null
		oNode0=oNode
		oNode=o||oNode.nextSibling||oNode.parentNode
		evml_resizeNode(oNode,oNode0)
	}
}
function evml_bindAnimation(oNode){
	if(oNode.interval==null)
		oNode.interval=oNode.getAttribute("interval")||70
	if(oNode.animate==null)
		oNode.animate=oNode.getAttribute("animate")||"loop"
	oNode.play=function(iNum,iNum2){
		var oNode=this
		if(iNum==null){
			iNum=1
			iNum2=oNode.__xCount*oNode.__yCount
		}
		else if(iNum2==null){
			Thread.remove(oNode.onAnimation)
			oNode.__currentNum=iNum
			oNode.onAnimation()
			return
		}
		oNode.__startNum=iNum
		oNode.__endNum=iNum2
		oNode.__currentNum=iNum
		oNode.__moveDir=1
		Thread.push(oNode.onAnimation.bindNode(oNode),oNode.interval)
	}
	oNode.onAnimation=function(){
		var oNode=this,n,nx,ny
		if(!document.body.contains(oNode)){
			Thread.remove(oNode.onAnimation)
			return
		}
		n=oNode.__currentNum-1
		ny=parseInt(n/oNode.__xCount)
		nx=n-ny*oNode.__xCount
		oNode.scrollLeft=nx*oNode.offsetWidth
		oNode.scrollTop=ny*oNode.offsetHeight
		oNode.__currentNum+=oNode.__moveDir
		if(oNode.animate=="once"&&oNode.__currentNum>oNode.__endNum)
			oNode.stop()
		if(oNode.animate=="loop"&&oNode.__currentNum>oNode.__endNum)
			oNode.__currentNum=oNode.__startNum
		if(oNode.animate!="bounce")
			return
		if(oNode.__currentNum>oNode.__endNum||oNode.__currentNum<oNode.__startNum){
			oNode.__moveDir*=-1
			oNode.__currentNum+=2*oNode.__moveDir
		}
	}
	oNode.stop=function(){
		Thread.remove(this.onAnimation)
	}
	oNode=null
}
function evml_setBg(oNode){
	var sBg,sPos,sl,ap,ol,i,a,ap,sUrl
	sBg=oNode.bg
	sPos=oNode.style.backgroundPosition
	oNode.style.background=""
	if(oNode.innerHTML.indexOf("isEvmlBg")>-1){
		ol=oNode.childNodes
		for(i=0;i<ol.length;i++){
			if(ol[i].getAttribute("isEvmlBg")==1){
				deleteNode(ol[i])
				break
			}
		}
	}
	if(sBg==null)
		return
	if(sBg.indexOf("http://")==0)
		sUrl=sBg
	else
		sUrl=(sBg.indexOf("#")==0?Evml.folder0+sBg.slice(1):Evml.folder+sBg)+Evml.ver
	if(oNode.tagName=="IMG"&&sBg.indexOf(".")>0){
		if(!/width=/.test(oNode.outerHTML)){
			oNode.src=sUrl
			return
		}
		oNode.src=Evml.folder0+"blank.gif"
	}
	ap=(oNode.pos||"").split(",")
	if(sBg.indexOf("_*")==-1){
		if(oNode.getAttribute("animate")!=null){
			oNode.style.overflow="hidden"
			ap[5]=ap[5]||1
			oNode.__xCount=ap[4]*1
			oNode.__yCount=ap[5]*1
			oNode.innerHTML="<div isEvmlBg=1 style='width:"+ap[4]+"00%;height:"+ap[5]+"00%;"+getAlphaBg(sUrl)+"'>&#12288;</div>"
			evml_bindAnimation(oNode)
			return
		}
		a=sBg.split(" ")
		for(i=0;i<a.length;i++){
			if(a[i].indexOf(".")>-1){
				if(a[i].indexOf("http://")==0)
					sUrl=a[i]
				else
					sUrl=(a[i].indexOf("#")==0?Evml.folder0+a[i].slice(1):Evml.folder+a[i])+Evml.ver
				if(/\.png/i.test(sUrl)&&isIE){
					oNode.style.filter="progid:dximagetransform.microsoft.alphaimageloader(src="+sUrl+",sizingMethod=scale)"
					a[i]=""
				}
				else
					a[i]="url("+sUrl+")"
			}
			else if(a[i].indexOf("#")==0)
				a[i]=$c(a[i])
		}
		oNode.style.background=a.join(" ")
		return
	}
	if(sUrl.indexOf("_*")==-1){
		sl="<span isEvmlBg=1 ondragstart=return(false) style='position:absolute;left:0;top:0;height:100%;width:100%'>"
		sl+=getAlphaImage(sUrl)
		if(isIE)
			sl+="<span style='position:absolute;left:0;top:0;width:100%;height:100%;background:url("+Evml.folder0+"blank.gif)'></span>"
		sl+="</span>"
	}
	else{
		ap=(oNode.pos||"").split(",")
		ap[4]=ap[4]||9
		ap[5]=ap[5]||9
		sl="<span isEvmlBg=1 ondragstart=return(false) style='position:absolute;left:0;top:0;width:100%;height:100%'>"
		sl+="<div style='float:left;margin-right:-"+ap[4]+"px;width:"+ap[4]+"px;height:100%'>"+getAlphaImage(sUrl.replace("_*","_l"),ap[4]==1&&!Evml.isDTD?1:null)+"</div>"
		sl+="<div style='float:right;margin-left:-"+ap[5]+"px;width:"+ap[5]+"px;height:100%'>"+getAlphaImage(sUrl.replace("_*","_r"),ap[5]==1&&!Evml.isDTD?1:null)+"</div>"
		sl+="<div style='margin:0 "+ap[5]+"px 0 "+ap[4]+"px;height:100%'>"+getAlphaImage(sUrl.replace("_*","_c"))+"</div>"
		if(isIE)
			sl+="<span style='position:absolute;left:0;top:0;width:100%;height:100%;background:url("+Evml.folder0+"blank.gif)'></span>"
		sl+="</span>"
	}
	createEvml(sl,oNode,oNode.firstChild)
	if(!isIE){
		oNode.firstChild.onmousedown=function(){
			window.focus()
			if(Evml.activeElement!=null)
				Evml.activeElement.blur()
			return false
		}
	}
}

function evml_setBd(oNode){
	var a
	a=(oNode.bd||"").split(" ")
	if(a.length==1)
		a[1]=a[2]=a[3]=a[0]
	if(a.length==2){
		a[2]=a[3]=a[1]
		a[1]=a[0]
	}
	a[3]=a[3]||""
	oNode.style.borderLeft=(a[0].length<2?0:1)+"px solid "+$c(a[0])
	oNode.style.borderTop=(a[1].length<2?0:1)+"px solid "+$c(a[1])
	oNode.style.borderRight=(a[2].length<2?0:1)+"px solid "+$c(a[2])
	oNode.style.borderBottom=(a[3].length<2?0:1)+"px solid "+$c(a[3])
}
function evml_setPd(oNode){
	var a
	a=(oNode.pd||"").split(" ")
	if(a.length==1)
		a[1]=a[2]=a[3]=a[0]
	if(a.length==2){
		a[2]=a[3]=a[1]
		a[1]=a[0]
	}
	a[3]=a[3]||0
	oNode.style.paddingLeft=a[0]*1+"px"
	oNode.style.paddingTop=a[1]*1+"px"
	oNode.style.paddingRight=a[2]*1+"px"
	oNode.style.paddingBottom=a[3]*1+"px"
}
function evml_setColor(oNode){
	oNode.style.color=$c(oNode.color)
}
function evml_setOpacity(oNode){
	if(isIE)
		oNode.style.filter="alpha(opacity="+oNode.opacity+")"
	else
		oNode.style.MozOpacity=oNode.opacity/100
}
function evml_setX(oNode){
	oNode.pos=oNode.x
}
function evml_setY(oNode){
	oNode.pos=","+oNode.y
}
function evml_setW(oNode){
	oNode.pos=",,"+oNode.w
}
function evml_setH(oNode){
	oNode.pos=",,,"+oNode.h
}
function loadData(sUrl,foo){
    var xh,sPath,sData,sMethod,bAsync,n,fnOnload
    xh=isIE?new ActiveXObject("Microsoft.XMLHTTP"):new XMLHttpRequest()
    if(!/http\:/i.test(sUrl)&&sUrl.indexOf("/")!=0)
    	sUrl=(Arg.svUrl||"")+sUrl
    n=sUrl.indexOf("?")
    sMethod=/\.(txt|js|htm|html|css)\b/i.test(sUrl)?"GET":"POST"
    sPath=sMethod=="GET"?sUrl+Evml.ver:sUrl.slice(0,n)
    sData=sMethod=="GET"?null:sUrl.slice(n+1)
    bAsync=foo==0?false:true
    foo=foo==0?null:foo
    xh.open(sMethod,sPath,bAsync)
    xh.setRequestHeader("Content-Type", "application/x-www-form-urlencoded")
    xh.send(sData)
    fnOnload=function(){
    	var sData=xh.status<400?xh.responseText:null
    	if(sData==null&&window.loadDataFail!=null)
    		return loadDataFail()
    	if(foo!=null)
	    	foo(sData)
    	xh=null
    	return sData
    }
	if(xh.readyState==4)
		return fnOnload()
    xh.onreadystatechange=function(){
        if(xh.readyState==4)
	        fnOnload()
    }
}
